{include file='include/colorbox.inc.tpl'}
{combine_script id='jquery.jcrop' load='footer' require='jquery' path='plugins/thumbCropper/js/jquery.Jcrop.min.js'}
{combine_css path="plugins/thumbCropper/js/jquery.Jcrop.css"}

{footer_script}
// Create variables (in this scope) to hold the API and image size
var jcrop_api, boundx, boundy;
var ws_data = {ldelim}
	'width':{$IMG_WIDTH},
	'height':{$IMG_HEIGHT},
{rdelim};
var tc_pwg_token = '{$TC_PWG_TOKEN}';
var img_id={$IMG_ID};
var thumb_data = {ldelim}
	'x1': {$thumb_data.x1},
	'y1': {$thumb_data.y1},
	'x2': {$thumb_data.x2},
	'y2': {$thumb_data.y2},
	'width':{$thumb_data.width},
	'height':{$thumb_data.height}
{rdelim};
var ratio;
{literal}
jQuery(document).ready(function() {
	ratio = thumb_data.width/thumb_data.height;
	
	jQuery(".cbinline").colorbox({
		inline:true, 
		width:"80%",
		onComplete: function() {
		  $('#target').Jcrop({
			aspectRatio: ratio,
			setSelect : [thumb_data.x1,thumb_data.y1,thumb_data.x2,thumb_data.y2],
			boxWidth: 800,
			boxHeight: 500,
			onChange: set_thumb_data,
			onSelect: set_thumb_data,
		  },function(){
			$("#websize_image").css("width",$(".jcrop-holder").css("width"));
			this.setSelect([thumb_data.x1,thumb_data.y1,thumb_data.x2,thumb_data.y2]);
			// Store the API in the jcrop_api variable
			jcrop_api = this;
		  });
		}
	});
	
	function set_thumb_data(c) {
		thumb_data.x1 = c.x;
		thumb_data.x2 = c.x2;
		thumb_data.y1 = c.y;
		thumb_data.y2 = c.y2;
        var rx = thumb_data.width / (thumb_data.x2 - thumb_data.x1);
        var ry = thumb_data.height / (thumb_data.y2 - thumb_data.y1);

		$('#div_preview').css({
		width: thumb_data.width,
		height: thumb_data.height
		});
          $('#preview').css({
            width: Math.round(rx * ws_data.width) + 'px',
            height: Math.round(ry * ws_data.height) + 'px',
            marginLeft: '-' + Math.round(rx * thumb_data.x1) + 'px',
            marginTop: '-' + Math.round(ry * thumb_data.y1) + 'px'
          });
	}
	
	function set_from_thumb_data() {
		ratio = thumb_data.width/thumb_data.height;
		jcrop_api.setSelect([thumb_data.x1,thumb_data.y1,thumb_data.x2,thumb_data.y2]);
		jcrop_api.setOptions({'aspectRatio':ratio});
	}
	
	function update_size() {
		var width = parseInt($("#twidth").val());
		var height = parseInt($("#theight").val());
		if ((width == 0) || (height == 0))
			return;
			
		if (width > ws_data.width) {
			height = Math.round(ws_data.width/width*height);
			width = ws_data.width;
		}
		if (height > ws_data.height) {
			width = Math.round(ws_data.height/height*width);
			height = ws_data.height;
		}
		thumb_data.width = width;
		thumb_data.height = height;
		thumb_data.x2 = thumb_data.x1+width;
		thumb_data.y2 = thumb_data.y2+height;
		$("#twidth").val(width);
		$("#theight").val(height);
		set_from_thumb_data();
	}
	
	$("#twidth").change(update_size);
	$("#theight").change(update_size);
	$("#switch").click(function(e) {
		var dum = thumb_data.width;
		thumb_data.width = thumb_data.height;
		thumb_data.height = dum;
		var dx = thumb_data.x2 - thumb_data.x1;
		var dy = thumb_data.y2 - thumb_data.y1;
		thumb_data.x1 = 0;
		thumb_data.y1 = 0;
		thumb_data.x2 = thumb_data.x1+dy;
		thumb_data.y2 = thumb_data.y1+dx;
		set_from_thumb_data();
		$("#twidth").val(thumb_data.width);
		$("#theight").val(thumb_data.height);
		console.log(jcrop_api.tellSelect());
		e.stopPropagation();
		return false;
		
	});

	$("#center").click(function(e) {
		var dx = thumb_data.x2 - thumb_data.x1;
		var dy = thumb_data.y2 - thumb_data.y1;
		thumb_data.x1 = Math.round((ws_data.width-dx)/2);
		thumb_data.y1 = Math.round((ws_data.height-dy)/2);
		thumb_data.x2 = thumb_data.x1+dx;
		thumb_data.y2 = thumb_data.y1+dy;
		set_from_thumb_data();
	});

	$("#scale11").click(function(e) {
		thumb_data.x2 = thumb_data.x1+thumb_data.width;
		thumb_data.y2 = thumb_data.y1+thumb_data.height;
		set_from_thumb_data();
	});

	$("#create").click(function(e) {
		$.ajax({
			type: 'GET', 
			url: 'ws.php', 
			data: {
				method: "pwg.image.thumbcrop",
				format: 'json',
				image_id: img_id,
				x1: thumb_data.x1,
				y1: thumb_data.y1,
				x2: thumb_data.x2,
				y2: thumb_data.y2,
				width: thumb_data.width,
				height: thumb_data.height,
				pwg_token: tc_pwg_token,

			},
			dataType: 'json',
			success: ( function(data) {
				var th = $("img.Thumbnail");
				var uri=th.attr('src');
				th.attr('src',uri+"?"+(new Date().getTime()));
				$.colorbox.close();
			}),
			error: ( function(data) { 
			})}
		);
		e.stopPropagation();
		return false;
		
	});
	$("#tc_form").keypress(function(e){
		if (e.which == 13) {
			e.stopPropagation();
			return false;
		}
	});

});

{/literal}
{/footer_script}
<div style="display: none;">
	<div id="thumbcropper">

		<h2>{'Thumbnail customization'|@translate}</h1>
			<form id="tc_form">
				<table>
				<tr><td>
				<div id="websize_image" style="margin:0 auto;width: 800px">
					<img src="{$IMG_SRC}" id="target" alt="image"/>
				</div>
				</td>
				<td>
					<p>{'Preview'|@translate}</p>
					<div id="div_preview" style="width:100px;height:100px;overflow:hidden;">
						<img src="{$IMG_SRC}" id="preview" alt="{'Preview'|@translate}" />
					</div>
				</td>
				</tr>
				</table>
				<p>{'Width'|@translate}
				<input type="text" name="twidth" id="twidth" value="{$thumb_data.width}" size="4" maxlength="4" /> {'pixels'|@translate}
				{'Height'|@translate}
				<input type="text" name="theight" id="theight" value="{$thumb_data.height}" size="4" maxlength="4" /> {'pixels'|@translate}
				<input type="button" id="switch" value="{'switch W/H'|@translate}" />
				<input type="button" id="center" value="{'center'|@translate}" />
				<input type="button" id="scale11" value="{'scale 1:1'|@translate}" />
				<input type="button" id="create" value="{'create'|@translate}"></p>
			</form>

	</div>
</div>


